aboutsummaryrefslogtreecommitdiff
path: root/bin/sta.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bin/sta.sh')
-rw-r--r--bin/sta.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/bin/sta.sh b/bin/sta.sh
new file mode 100644
index 00000000..5736842a
--- /dev/null
+++ b/bin/sta.sh
@@ -0,0 +1,7 @@
+# Print list of sls(1df) hostnames that exit 0 when a connection is attempted
+# and the optional given command is run. Discard stdout, but preserve stderr.
+sls | while read -r hostname ; do
+ # shellcheck disable=SC2029
+ ssh -nq -- "$hostname" "$@" >/dev/null || continue
+ printf '%s\n' "$hostname"
+done